// JavaScript Document
$(document).ready(function() {

    color_get();

    $('#color_add').click(function() {
        color_add();
    });

    $('input[id="color_name"]').autocomplete({
        source: function(request, response) {
            $.ajax({
                url: $url + 'ajax/color_ac/' + request.term,
                cache: false,
                dataType: "json",
                type: 'GET',
                data: {},
                error: function(xhr) {},
                success: function(data) {
                    response(data);
                }
            });
        },
        minLength: 1
    });
});
//color 關聯資料--------------------------------------------------------------
function color_get() {
    $.ajax({
        url: $url + 'ajax/color/' + $pid,
        cache: false,
        dataType: 'json',
        type: 'GET',
        data: {},
        error: function(xhr) {},
        success: function(response) {
            $('#color_List').html(response['html']);
            // 如果 stock_get() 存在
            if (typeof stock_get === "function") {
                stock_get();
            }
        }
    });
}

function color_add() {
    var $name = $('#color_name').val();

    if ($name == null || $name == '') {
        alert_box('顏色尚未輸入');
        return false;
    }

    $.ajax({
        url: $url + 'ajax/color/' + $pid,
        cache: false,
        dataType: 'json',
        type: 'POST',
        data: {
            pid: $pid,
            name: $name
        },
        error: function(xhr) {},
        success: function(response) {
            if (response['error'] != '') {
                console.log(response['error']);
            } else {
                // alert_box(response['success']);
                color_get();
            }
        },
        complete: function(xhr) {
        	if(xhr.status == 422) {
        		color_get();
        	}
        }
    });
}

function color_upd($id, $column, $value) {
    $.ajax({
        url: $url + 'ajax/color/' + $pid + '/' + $id + '/' + $column,
        cache: false,
        dataType: 'json',
        type: 'PATCH',
        data: {
            id: $id,
            column: $column,
            value: $value,
        },
        error: function(xhr) {},
        success: function(response) {
            if (response['error'] != '') {
                console.log(response['error']);
            } else {
                // alert_box(response['success']);
                color_get();
            }
        },
        complete: function(xhr) {
        	if(xhr.status == 422) {
        		color_get();
        	}
        }
    });
}

function color_del($id) {
    $.ajax({
        url: $url + 'ajax/color/' + $pid + '/' + $id,
        cache: false,
        dataType: 'json',
        type: 'DELETE',
        data: {
            id: $id
        },
        error: function(xhr) {},
        success: function(response) {
            if (response['error'] != '') {
                console.log(response['error']);
            } else {
                // alert_box(response['success']);
                color_get();
            }
        }
    });
}

function color_pic($id) {
    var files = $("#color_pic_" + $id)[0].files;
    var formData = new FormData();

    if(files.length == 0) {
    	alert_box('未選擇圖片');
    	return false;
    }

    formData.append('id', $id);
	formData.append("pic", files[0]);

    $.ajax({
        url: $url + 'ajax/color/pic/' + $id,
        data: formData,
        // dataType: "json",
        type: "POST",
        cache: false,
        contentType: false,
        processData: false,
        error: function(xhr) {},
        success: function(response) {
            if (response['error'] != '') {
                console.log(response['error']);
            }
            color_get();
        },
        complete: function(xhr) {
        	if(xhr.status == 422) {
        		color_get();
        	}
        }
    });
}